{#
/**
 * @file
 * Theme override for a views mini-pager.
 *
 * Available variables:
 * - heading_id: Pagination heading ID.
 * - items: List of pager items.
 *
 * @see template_preprocess_views_mini_pager()
 */
#}
{% if items.previous or items.next %}
  <nav class="pager" role="navigation" aria-labelledby="{{ heading_id }}">
    <h4 id="{{ heading_id }}" class="visually-hidden">{{ 'Pagination'|t }}</h4>
    <ul class="pager__items js-pager__items">
      {# Print previous item if we are not on the first page. #}
      {% if items.previous %}
        {% apply spaceless %}
          <li class="pager__item pager__item--control pager__item--previous">
            <a href="{{ items.previous.href }}" class="pager__link" title="{{ 'Go to previous page'|t }}" rel="prev"{{ items.previous.attributes|without('href', 'title', 'rel', 'class') }}>
              <span class="visually-hidden">{{ 'Previous page'|t }}</span>
              {{ source(h4c_olive_directory ~ '/icons/pager-previous.svg') }}
            </a>
          </li>
        {% endapply %}
      {% endif %}

      {# Print current active page. #}
      {% if items.current %}
        <li class="pager__item pager__item--active">
          {{ items.current }}
        </li>
      {% endif %}

      {# Print next item if we are not on the last page. #}
      {% if items.next %}
        {% apply spaceless %}
          <li class="pager__item pager__item--control pager__item--next">
            <a href="{{ items.next.href }}" class="pager__link" title="{{ 'Go to next page'|t }}" rel="next"{{ items.next.attributes|without('href', 'title', 'rel') }}>
              <span class="visually-hidden">{{ 'Previous page'|t }}</span>
              {{ source(h4c_olive_directory ~ '/icons/pager-previous.svg') }}
            </a>
          </li>
        {% endapply %}
      {% endif %}
    </ul>
  </nav>
{% endif %}
